// $Id$

/**
 * @file
 * OM Tools - User Tools for Drupal
 * 
 * This tools provides ability for admin to customize the following forms
 *  - search block form
 *  - search page form
 *
 * @author: Daniel Honrade http://drupal.org/user/351112
 *
 */
(function( $ ) { 
  
  $.fn.om_tools_search = function(options) {
  
    var settings = $.extend({
          'form_id'         : 'search_form',
          'search_defaults' : {}
        }, options);
    
    var search_defaults = settings['search_defaults'];
      
    switch (settings['form_id']) {
  
      case "search_block_form": 
        var searchKeywordText = $('input.form-text', this).val();
        var searchBlockLabelText = search_defaults['search_block_label_text'];
        
        $('input.form-text', this).val(searchBlockLabelText);
        $('input.form-text', this).click(function() {
          if ($(this).val() == searchBlockLabelText) { 
            $(this).val(''); 
          };
        });
        
        $('input.form-text', this).blur( function() {
          if (($(this).val() == searchBlockLabelText) || ($(this).val() == '')) {
            $(this).val(searchBlockLabelText);
          };
        }); 
        
        // Submit  Search Keyword
        $('input.form-submit', this).click(function() {
	        searchKeywordText = $('form#search-block-form input.form-text').val();
	        if(searchKeywordText == searchBlockLabelText) {
	          $('form#search-block-form input.form-text').val('');
	        }
        });
      
        break;
    
      case "search_form": 
      
        var searchKeywordText = $('input#edit-keys', this).val(),
            searchLabelText   = search_defaults['search_label_text'];
        
        if(searchKeywordText == '') {
          $('input#edit-keys', this).val(searchLabelText);
        }
        
        $('input#edit-keys', this).click(function() {
        
          if ($(this).val() == searchLabelText) { 
            $(this).val(''); 
          };
        });
        
        $('input#edit-keys', this).blur( function() {
          if (($(this).val() == searchLabelText) || ($(this).val() == '')) {
            $(this).val(searchLabelText);
          };
        });
        
        // Submit  Search Keyword
        $('#edit-basic input.form-submit', this).click(function() {
	        searchKeywordText = $('form#search-form input#edit-keys').val();
	        if(searchKeywordText == searchLabelText) {
	          $('form#search-form input#edit-keys').val('');
	        }
        }); 
                
        break;       
   }   
 };

})( jQuery ); 
