// $Id$

/**
 * @file
 * OM Tools - User Tools for Drupal
 * 
 * This tools provides ability for admin to customize the following forms
 *  - user login form
 *  - user login form
 *  - user register form
 *  - user password form
 *
 * @author: Daniel Honrade http://drupal.org/user/351112
 *
 */
(function( $ ) { 
  
  $.fn.om_tools_user = function(options) {
  
    var settings = $.extend({
          'form_id'         : 'user_login_block',
          'user_defaults'   : {}
        }, options);
    
    var user_defaults = settings['user_defaults'];
      
  switch (settings['form_id']) {
  
    case "user_login_block": //alert(user_defaults);
    
        var user_login_block_name_label_text = user_defaults['user_login_block_name_label_text'], 
            user_login_block_pass_label_text = user_defaults['user_login_block_pass_label_text'], 
            user_login_block_size            = user_defaults['user_login_block_size'],
            user_login_block_pass_hover      = user_defaults['user_login_block_pass_hover'], 
            userName = $('input#edit-name', this).val();
           
        if(userName == '') {
          $('input#edit-name', this).val(user_login_block_name_label_text);
        }
        
        $('input#edit-name', this).click(function() {
          if ($(this).val() == user_login_block_name_label_text) { $(this).val(''); };
        });
        
        $('input#edit-name', this).blur(function() {
          if (($(this).val() == user_login_block_name_label_text) || ($(this).val() == '')) { 
            $(this).val(user_login_block_name_label_text); 
          }
        });
  
        $('input#edit-pass', this).before("<input type='text' class='form-text' size='" + user_login_block_size + "' maxlength='60' id='dummy-pass' name='dummy-pass' value='" + user_login_block_pass_label_text + "' title='" + user_login_block_pass_hover + "'>");
  
        $('input#edit-pass', this).hide();
        $('input#dummy-pass', this).show();
    
        $('input#dummy-pass', this).focus(function() {
          $(this).hide();
          $('input#edit-pass').show();
          $('input#edit-pass').focus();
        });
        
        $('input#edit-pass', this).blur(function() {
          if ($(this).val() == '') {
            $('input#dummy-pass').show();
            $(this).hide();
           } 
        });

       break;
       
     case "user_login":
     
         var user_login_name_label_text  = user_defaults['user_login_name_label_text'],  
             user_login_pass_label_text  = user_defaults['user_login_pass_label_text'],  
             user_login_size             = user_defaults['user_login_size'],
             user_login_pass_hover       = user_defaults['user_login_pass_hover'],      
             userName = $('input#edit-name', this).val();
         
         if(userName == '') {
           $('input#edit-name', this).val(user_login_name_label_text);
         }
         
         $('input#edit-name', this).click(function() {
           if ($(this).val() == user_login_name_label_text) { $(this).val(''); };
         });
         
         $('input#edit-name', this).blur(function() {
           if (($(this).val() == user_login_name_label_text) || ($(this).val() == '')) { 
             $(this).val(user_login_name_label_text); 
           }
         });
  
         $('input#edit-pass', this).before("<input type='text' class='form-text' size='" + user_login_size + "' maxlength='60' id='dummy-pass' name='dummy-pass' value='" + user_login_pass_label_text + "' title='" + user_login_pass_hover + "'>");
  
         $('input#edit-pass', this).hide();
         $('input#dummy-pass', this).show();
    
         $('input#dummy-pass', this).focus(function() {
           $(this).hide();
           $('input#edit-pass').show();
           $('input#edit-pass').focus();
         });
         
         $('input#edit-pass', this).blur(function() {
           if ($(this).val() == '') {
             $('input#dummy-pass').show();
             $(this).hide();
           } 
         });
         
     break;
     
   case "user_register_form":
   
       var user_register_name_label_text  = user_defaults['user_register_name_label_text'],  
           user_register_mail_label_text  = user_defaults['user_register_mail_label_text'],  
           userName = $('input#edit-name', this).val();
         
       if(userName == '') {
         $('input#edit-name', this).val(user_register_name_label_text);
       }
       
       $(' input#edit-name', this).click(function() {
         if ($(this).val() == user_register_name_label_text) { $(this).val(''); };
       });
       
       $('input#edit-name', this).blur(function() {
         if (($(this).val() == user_register_name_label_text) || ($(this).val() == '')) { 
           $(this).val(user_register_name_label_text); 
         }
       });

       $('input#edit-name--2', this).val(user_register_name_label_text);
       
       $('input#edit-name--2', this).click(function() {
         if ($(this).val() == user_register_name_label_text) { $(this).val(''); };
       });
       
       $('input#edit-name--2', this).blur(function() {
         if (($(this).val() == user_register_name_label_text) || ($(this).val() == '')) { 
           $(this).val(user_register_name_label_text); 
         }
       });

       $('input#edit-mail').val(user_register_mail_label_text);
       
       $('input#edit-mail').click(function() {
         if ($(this).val() == user_register_mail_label_text) { $(this).val(''); };
       });
       
       $('input#edit-mail').blur(function() {
         if (($(this).val() == user_register_mail_label_text) || ($(this).val() == '')) { 
            $(this).val(user_register_mail_label_text); 
         }
       });
       
     break; 
     
   case "user_pass":
   
       var user_pass_name_label_text  = user_defaults['user_pass_name_label_text'],  
           userName = $('input#edit-name', this).val();
        
       if(userName == '') {
         $('input#edit-name', this).val(user_pass_name_label_text);
       }
       
       $('input#edit-name', this).click(function() {
         if ($(this).val() == user_pass_name_label_text) { $(this).val(''); };
       });
       
       $('input#edit-name', this).blur(function() {
         if (($(this).val() == user_pass_name_label_text) || ($(this).val() == '')) { 
           $(this).val(user_pass_name_label_text); 
         }
       });
       
     break;
   } 
    
 };

})( jQuery );
